Advisory Details

June 24th, 2015

(Pwn2Own) Apple OS X XSS Sandbox Bypass Vulnerability

ZDI-15-258
ZDI-CAN-2837

CVE ID
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Apple
AFFECTED PRODUCTS OS X
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Apple OS X. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within certain URLs in the protocol handler whitelist. The issue lies in the ability to inject JavaScript within the 'entity' parameter. An attacker can leverage this vulnerability to execute code outside the context of the sandbox.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
https://support.apple.com/en-us/HT201536


no CVE, server-side fix


DISCLOSURE TIMELINE
  • 2015-03-19 - Vulnerability reported to vendor
  • 2015-06-24 - Coordinated public release of advisory
CREDIT lokihardt@ASRT
BACK TO ADVISORIES